iMovieRecorder Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iMovieRecorder Struct Reference

Using this interface you can communicate with the MovieRecorder plugin and programmatically start, pause and stop the recorder. More...

`#include <ivaria/movierecorder.h>`

Inheritance diagram for iMovieRecorder:

List of all members.

## Public Member Functions
virtual bool | IsPaused (void) const =0
| Return whether or not a movie recording is currently paused.
virtual bool | IsRecording (void) const =0
| Return whether or not a movie is currently recorded.
virtual void | Pause (void)=0
| Pause an in-progress recording.
virtual void | SetFilenameFormat (const char *format)=0
| Set the format of the filename to be used to record movie.
virtual void | SetRecordingFile (const char *filename)=0
| Set the VFS file that will be used to record the movie.
virtual void | Start (void)=0
| Start recording using the settings in the configuration system.
virtual void | Stop (void)=0
| Stop recording if a recording is in progress.
virtual void | UnPause (void)=0
| Resume an in-progress recording.

## Detailed Description

Using this interface you can communicate with the MovieRecorder plugin and programmatically start, pause and stop the recorder.

This plugin uses a configuration file (by default in "data/config-plugin/movierecorder.cfg") to setup the various parameters of the recording sessions.

The easiest way to use this plugin is to load it at application launch time by adding the option "-plugin=movierecorder" on the command line, then the keys to start, stop and pause the recording are by default "ALT-r" and "ALT-p".

Remarks:
  The plugin is GPL, not LGPL.

Definition at line 43 of file movierecorder.h.

## Member Function Documentation

virtual bool iMovieRecorder::IsPaused | ( | void |  | ) | const`[pure virtual]`

Return whether or not a movie recording is currently paused.

virtual bool iMovieRecorder::IsRecording | ( | void |  | ) | const`[pure virtual]`

Return whether or not a movie is currently recorded.

virtual void iMovieRecorder::Pause | ( | void |  | ) | `[pure virtual]`

Pause an in-progress recording.

virtual void iMovieRecorder::SetFilenameFormat | ( | const char * | format | ) | `[pure virtual]`

Set the format of the filename to be used to record movie.

The rightmost string of digits in this format will be automatically replaced with a number (eg with a format "/this/crystal000.nuv" the movie files created in the current directory will be called "crystal001.nuv", "crystal002.nuv" and so on). Using this method will overwrite the value defined in the configuration file.

virtual void iMovieRecorder::SetRecordingFile | ( | const char * | filename | ) | `[pure virtual]`

Set the VFS file that will be used to record the movie.

If the file already exists then it will be overwritten. Using this method also overwrite the behavior defined by the filename format (see eg SetFilenameFormat()).

virtual void iMovieRecorder::Start | ( | void |  | ) | `[pure virtual]`

Start recording using the settings in the configuration system.

virtual void iMovieRecorder::Stop | ( | void |  | ) | `[pure virtual]`

Stop recording if a recording is in progress.

virtual void iMovieRecorder::UnPause | ( | void |  | ) | `[pure virtual]`

Resume an in-progress recording.

The documentation for this struct was generated from the following file:

- ivaria/movierecorder.h